Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportExporterAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportExporterAction

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ReportExporterAction

extends org.springframework.webflow.action.FormAction

Version:
  $Id: ReportExporterAction.java 10154 2007-09-19 16:55:09Z lucian $
Author:
  sanda zaharia (szaharia@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ReportExporterAction()`

Method Summary
`java.lang.Object` | `createFormObject(org.springframework.webflow.execution.RequestContext context)`
`void` | `export(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `exportOptions(org.springframework.webflow.execution.RequestContext context)`
`ConfigurationBean` | `getConfigurationBean()`
`java.util.Map` | `getConfiguredExporters()`
`java.lang.Object` | `getExportParameters()`
`void` | `setConfigurationBean(ConfigurationBean configurationBean)`
`void` | `setConfiguredExporters(java.util.Map configuredExporters)`
`void` | `setExportParameters(java.lang.Object exportParameters)`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, initBinder, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Constructor Detail

### ReportExporterAction

    public ReportExporterAction()

Method Detail

### exportOptions

    public org.springframework.webflow.execution.Event exportOptions(org.springframework.webflow.execution.RequestContext context)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### export

    public void export(org.springframework.webflow.execution.RequestContext context)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConfiguredExporters

    public java.util.Map getConfiguredExporters()

  Returns:
    Returns the configuredExporters.

### setConfiguredExporters

    public void setConfiguredExporters(java.util.Map configuredExporters)

  Parameters:
    `configuredExporters` - The configuredExporters to set.

### getExportParameters

    public java.lang.Object getExportParameters()

  Returns:
    Returns the exportParameters.

### setExportParameters

    public void setExportParameters(java.lang.Object exportParameters)

  Parameters:
    `exportParameters` - The exportParameters to set.

### createFormObject

    public java.lang.Object createFormObject(org.springframework.webflow.execution.RequestContext context)
                                      throws java.lang.Exception

  Overrides:
    `createFormObject` in class `org.springframework.webflow.action.FormAction`
  Throws:
    `java.lang.Exception`

### getConfigurationBean

    public ConfigurationBean getConfigurationBean()

  Returns:
    Returns the configurationBean.

### setConfigurationBean

    public void setConfigurationBean(ConfigurationBean configurationBean)

  Parameters:
    `configurationBean` - The configurationBean to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.